# Cloud Bootstrapper CLI - beta

This curated collection of scripts streamlines the development and deployment process for serverless applications on
Google Cloud Platform (GCP). These scripts facilitate seamless creation, configuration, and deployment of serverless
components, enabling developers to focus on building innovative solutions without getting bogged down by infrastructure
complexities.

## Key Features:

- Simplified Serverless Development: The scripts provide a streamlined approach to building serverless applications,
  reducing the time and effort required to get applications up and running.

- Efficient Deployment Process: The scripts automate the deployment process, ensuring consistent and error-free
  deployment of serverless components to GCP.

- Enhanced Productivity: Developers can focus on their core competencies – application logic and business processes –
  while the scripts handle the intricacies of serverless infrastructure management.

## Available features

- Cloud functions - GEN-2
    - Boostrap Cloud functions from templates.
    - Starter templates for GO, Java, Node.js, PHP, Python, Ruby.
    - Set triggers.
        - HTTP, Firestore, PubSub, Storage bucket
    - Create trigger resources automatically upon deployment.

## Next

- Cloud Run support.

##### Please note:

This product is not officially endorsed by Google.
You should use this product at your own risk.

##### Disclaimer:

Google is not responsible for any damages caused by the use of this product.

#### License

MIT, Cloud Bootstrapper 2023